function [pos_x_vec, pos_y_vec] = bathtub_pos_vec(data_index)

% This function lists alle bathtub vortices x and y locations according to 
% the timestep given. I had found these locations by hand and recorded them
% here. 

switch data_index
    case 1 % 1st timestep in the data
        pos_x_vec = [4.16, 4.52, 1.87, 0.65, 2.93, 5.02];
        pos_y_vec = [6.15, 1.99, 2.31, 0.88, 1.85, 0.60];
    case 2 % 2nd timestep in the data
        pos_x_vec = [4.37, 3.02, 2.04, 4.41];
        pos_y_vec = [1.75, 1.66, 2.35, 1.62];
    case 3 % 3rd timestep in the data
        pos_x_vec = [4.25, 4.01, 5.34, 3.37, 4.29, 4.26];
        pos_y_vec = [1.58, 5.63, 0.15, 1.75, 0.81, 1.44];
    case 4 % 3rd timestep in the data
        pos_x_vec = [4.27, 3.95, 1.17, 4.20, 4.34];
        pos_y_vec = [1.49, 5.75, 0.96, 0.63, 1.34];
    case 5 % 5th timestep in the data
        pos_x_vec = [3.00, 1.20, 1.43, 3.90, 5.93, 4.15, 4.21, 5.12];
        pos_y_vec = [1.46, 0.62, 1.00, 5.85, 6.15, 0.46, 0.62, 6.12];
    case 6 % 6th timestep in the data
        pos_x_vec = [3.05, 1.52, 1.75, 3.83, 5.95, 4.12, 4.10];
        pos_y_vec = [1.40, 0.41, 1.32, 5.96, 6.00, 0.42, 0.25];
    otherwise
        pos_x_vec = [];
        pos_y_vec = [];
end

end