function[u,v,w,p,zz] = load_near_surf_velocities(timeindex)
    % Scrip to load the veloviteis and the pressure near the surface into 4
    % 3D matrices containin the 
    % surface data into a 3D Matrix containing all the
    % surface elevations extracted from the full data set in
    % get_surface_elevation
    
    timestamps = h5read("near_surf_velocities", "/timestamps");
    zz = h5read("near_surf_velocities", "/zz");
    
    height = length(zz);
    % Initializing matrices
    u = zeros(256, 256, height);
    v = u;
    w = u;
    p = u;
    
    % Path to the velocities' location
    u_path = "/u/" + timestamps(timeindex);
    v_path = "/v/" + timestamps(timeindex);
    w_path = "/w/" + timestamps(timeindex);
    p_path = "/p/" + timestamps(timeindex);
    
    % Getting near surface velocities from file
    u(:,:,:) = h5read("near_surf_velocities", u_path);
    v(:,:,:) = h5read("near_surf_velocities", v_path);
    w(:,:,:) = h5read("near_surf_velocities", w_path);
    p(:,:,:) = h5read("near_surf_velocities", p_path);
    
end