function[eta0, timestamps] = load_surface_data()
    % Scrip to load the surface data into a 3D Matrix containing all the
    % surface elevations extracted from the full data set in
    % get_surface_elevation
    
    surf_data_info = h5info("surf_data");
    num_of_timestamps = length(surf_data_info.Groups.Datasets);
    
    timestamps = h5read("surf_data", "/timestamps");
    eta0 = zeros(num_of_timestamps, 256, 256);
    
    for i = 1:num_of_timestamps
        path = "/eta0/" + num2str(timestamps(i));
        eta0(i,:,:) = h5read("surf_data", path);
    end
end