% Wavelet transform responses
clear
W = 256;
x_range = linspace(-2*pi,2*pi,W);
y_range = x_range;
[x,y] = meshgrid(x_range,y_range);

func_i = 1;

switch func_i
    case 1
        func = sin(x);
    case 2
        func = sin(x)+sin(y);
    case 3
        func = exp(-(x.^2)/2);
    case 4
        func = exp(-(x.^2+y.^2)/2);
    case 5
        func = 0.5*exp(-((x-2.5).^2)/2)-exp(-((x+2.5).^2)/2);
    case 6
        func = exp(-((x-y.^2).^2)/2);
    otherwise
        disp("Fnnction number not specified")
        func = x;
end

func_scaling = 5;

func = func.*func_scaling;

wname = "mexh";

scale_range = logspace(0, log10(2^3), 25);
wlt_scale = 17;

[wlt, wlt_length_scale] = wavelet_length_scale(scale_range(wlt_scale), func, wname);

disp(wlt_length_scale)

cwt_1 = cwtft2(func, 'wavelet', wname, 'scales', scale_range);
wlt_coeff_1 =  reshape(cwt_1.cfs(:,:,1,:),[W W length(scale_range)]);

[df_dx,  df_dy]  = gradient(func,  x_range, y_range);
[df_dxx, df_dxy] = gradient(df_dx, x_range, y_range);
[~,      df_dyy] = gradient(df_dy, x_range, y_range);

mean_curv = ((1+df_dy.^2).*df_dxx + (1+df_dx.^2).*df_dyy ...
    - 2*df_dx.*df_dy.*df_dxy)./(1 + df_dx.^2 + df_dy.^2).^(3/2);

figure(1), clf
surf(x,y,func)
shading flat
colorbar

figure(2), clf
surf(x,y,wlt_coeff_1(:,:,wlt_scale))
shading flat
colorbar

figure(3), clf
surf(x,y,df_dxx+df_dyy)
shading flat
colorbar